
Figure - Bug #117682
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【IOV-25098】【AF】【EVT】【Audio】点开视频或者音频，会出现播放一卡一卡的情况，连接蓝牙耳机，
播放正常
2023-04-26 15:51 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-04-26

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304260129

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: offload 播放方式的状态可以根据是否禁用焦点来改变

Description

【前提条件】

1、设备正常启动

2、设备内提前push了音频和视频

【测试步骤】

1、点击视频APP。打开视频，观察视频播放情况

2、点击音乐APP。打开音乐播放，观察音频播放情况

3、连接蓝牙耳机后，播放视频或者音频，观察播放情况

【预期结果】

1、视频播放正常

2、音乐播放正常

3、播放正常

【实际结果】

1、视频播放一卡一卡的

2、音乐播放一卡一卡的

3、播放正常

【复现率】

3/3

History

#1 - 2023-05-04 15:03 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

该问题是由于下面的提交导致的，当前尝试在副屏单独测试时，通过工具将该prop设置为false；

https://dev.thundercomm.com/gerrit/c/general/device/qcom/qssi/+/194563

#2 - 2023-05-08 10:16 - CD TPM-王祥林
https://dev.thundercomm.com/gerrit/c/general/device/qcom/qssi/+/194563


卿山

下面两个提交，可以在*#149#里禁用音频控制后可以打开offload。

https://dev.thundercomm.com/gerrit/c/general/platform/system/sepolicy/+/196437

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TestTools/+/195992

VB：

/Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230506/202305060249-605

测一下这个VB能不能解决问题，有没有其他周边问题

#3 - 2023-05-09 10:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196437 general/platform/system/sepolicy Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

MM: Audio: offload disable changeoffload disable changeTC-RID: 0301-0900116IssueID: TS-R-BUG-117682Change-Id:

Ie2edfc4e53d4e84a616350d17487e138abb718c8

#4 - 2023-05-09 10:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198239 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: offload disable changeoffload disable changeTC-RID: 0301-0900116IssueID: TS-R-BUG-117682Change-Id:

Ic37b2f8e366e265e9a15fd841085a934aaf2f1b0

#5 - 2023-05-09 10:37 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to offload 播放方式的状态可以根据是否禁用焦点来改变

HI 永红

当前本地验证的提交如下：

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/198239

https://dev.thundercomm.com/gerrit/c/general/platform/system/sepolicy/+/196437

提交已经合并，其他问题如下：

1.部分视频和音频由于驱动原因，依赖外接输出设备，否则无法播放。
https://dev.thundercomm.com/gerrit/c/general/platform/system/sepolicy/+/196437
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TestTools/+/195992
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/198239
https://dev.thundercomm.com/gerrit/c/general/platform/system/sepolicy/+/196437


避免方法：如果需要副屏单独跑其他场景，请使用可以播放的视频和音频进行测试。谢谢！

#6 - 2023-05-09 19:40 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CDTS_Test 吴诗雨

#7 - 2023-05-15 10:34 - CDTS_TEST 王成

- Subject changed from 【AF】【EVT】【Audio】点开视频或者音频，会出现播放一卡一卡的情况，连接蓝牙耳机，播放正常 to 【IOV-25098】【AF】

【EVT】【Audio】点开视频或者音频，会出现播放一卡一卡的情况，连接蓝牙耳机，播放正常

#8 - 2023-05-23 17:57 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-23 17:58 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

04231753.txt 3.94 MB 2023-04-26 CDTS_Test 吴诗雨

04231751.txt 3.78 MB 2023-04-26 CDTS_Test 吴诗雨
